/* -*- Mode: C -*-
 * This file is part Tempura: Interval Temporal Logic interpreter.
 *  
 * Copyright (C) 1987-2019, 2021, 2023 Roger Hale, Ben Moszkowski,
 * Antonio Cau 
 *
 * Tempura is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Tempura is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Tempura.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


define max_int= 9223372036854775807.
define min_int=-max_int-1.

/* run */ define testmin_max() = {
   exists X : { X= max_int and X:= min_int and skip
                and always output(X)
   }		

}.

/* run */ define testmult_max() = {
   exists X : { X= max_int and 
      skip and
         X:=X*2 and skip and always output(X)
	 
  }
}.

/* run */ define testmult_min() = {
   exists X : { X= min_int and 
      skip and
         X:=X*2 and skip and always output(X)
	 
  }
}.

/* run */ define testadd_max() = {
   exists X : { X= max_int and 
      skip and
         X:=X+1 and skip and always output(X)
	 
 }
}.


/* run */ define testminus_min() = {
   exists X : { X=min_int  and 
      skip and
         X:=X-1 and skip and always output(X)
	 
 }
}.


